Journeys
Get a journey
GET
Requires the journey:read scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
id*stringapplication/json- response
activeVersion*versionCount*numberid*stringname*stringstatus*stringValue in
"active""archived""draft""paused"reEnrollment*booleangoalConfigured*booleantriggers*array<>created*stringFormat
date-timeupdated*stringFormat
date-timecurl -X GET 'https://api.mailcrate.io/public/journey/string' \ -H 'Authorization: Api-Key <api_key>'Example Response
{ "activeVersion": { "version": 0, "nodeCount": 0, "publishedAt": "2019-08-24T14:15:22Z" }, "versionCount": 0, "id": "string", "name": "string", "status": "active", "reEnrollment": true, "goalConfigured": true, "triggers": [ { "source": "custom", "eventName": "string" } ], "created": "2019-08-24T14:15:22Z", "updated": "2019-08-24T14:15:22Z"}